function enterDoor(player)
	if not isPedInVehicle(player) then
		fadeCamera(player,false,2.0,0,0,0)
		setTimer(setElementDimension,1000,1,player, 1)
		setTimer(setElementInterior,1000,1,player, 2)
		setTimer(setElementPosition,1000,1,player,2525.367,-1302,1048.3)
		setTimer(setCameraTarget,1050,1,player,player)
		setTimer(fadeCamera,1000,1,player,true)
		setTimer(toggleControl,1000,1,player,"enter_exit",true)
	end
end
addEvent("enterDoor",true)
addEventHandler("enterDoor",root,enterDoor)

function exitDoor(player)
	if not isPedInVehicle(player) then
		fadeCamera(player,false,2.0,0,0,0)
		setTimer(setElementDimension,1000,1,player, 0)
		setTimer(setElementInterior,1000,1,player, 0)
		setTimer(setElementPosition,1000,1,player,-49.895,-274.840,5.5)
		setTimer(setCameraTarget,1050,1,player,player)
		setTimer(fadeCamera,1000,1,player,true)
		setTimer(toggleControl,1000,1,player,"enter_exit",true)
	end
end
addEvent("exitDoor",true)
addEventHandler("exitDoor",root,exitDoor)